%define name lft
%define version 2.0
%define release 2mdk

Summary:	Alternative traceroute tool for network (reverse) engineers
Name:		%{name}
Version:	%{version}
Release:	%{release}
Source0:	%{name}-%{version}-src.tar.bz2
Patch0:		lft-2.0-Makefile.patch.bz2
Group:		Networking/Other
URL:		http://www.mainnerve.com/lft/
License:	GPL
Provides:	lft
Requires:	libpcap
BuildRequires:	libpcap-devel
BuildRoot:	%{_tmppath}/%{name}-%{version}

%description
LFT, short for Layer Four Traceroute, is a sort of 'traceroute'
that often works much faster (than the commonly-used Van Jacobson
method) and goes through many configurations of packet-filter
based firewalls. More importantly, LFT implements numerous other
features including AS number lookups, loose source routing,
netblock name lookups, et al.

%prep

%setup -q -n %{name}-%{version}
%patch0 -p0

%build

%make -f Makefile.linux

%install
[ -n "%{buildroot}" -a "%{buildroot}" != / ] && rm -rf "%{buildroot}"

install -d %{buildroot}%{_bindir}
install -d %{buildroot}%{_mandir}/man8
install -m4755 lft %{buildroot}%{_bindir}/
install -m644 lft.8 %{buildroot}%{_mandir}/man8/

%clean
[ -n "%{buildroot}" -a "%{buildroot}" != / ] && rm -rf "%{buildroot}"

%files
%defattr(-,root,root)
%doc CHANGELOG README TODO lft-manpage.html
%{_bindir}/lft
%{_mandir}/man8/lft.8*

%changelog
* Thu Jan 16 2003 Oden Eriksson <oden.eriksson@kvikkjokk.net> 2.0-2mdk
- build release

* Sat Nov 30 2002 Oden Eriksson <oden.eriksson@kvikkjokk.net> 2.0-1mdk
- initial cooker contrib, fixed the provided spec file
- added P0

* Mon Oct 28 2002 Florin Andrei <florin@sgi.com>
- first version
- v2.0-1
